<ion-header>
    <ion-navbar color="primary">
        <ion-title>{{title || 'Photos'}}</ion-title>
        <ion-buttons end *ngIf="pending">
            <button ion-button icon-only (click)="upload()"><ion-icon name="ios-cloud-upload-outline"></ion-icon></button>
        </ion-buttons>
    </ion-navbar>
</ion-header>

<ion-content>
    <ion-row class="photos">
        <ion-col col-6 *ngFor="let photo of photos">
            <div class="photo-placeholder" (click)="viewPhoto(photo)" [class.web]="isWeb">
                <img [src]="photo" alt="">              
            </div>
        </ion-col>
    </ion-row>
</ion-content>